Print

Print


Commit in SimDist/scripts on MAIN
slic.sh.in+14-61.14 -> 1.15
allow external varible for location of particle table in case a modified version is required (Ron)

SimDist/scripts
slic.sh.in 1.14 -> 1.15
diff -u -r1.14 -r1.15
--- slic.sh.in	15 Dec 2009 23:50:03 -0000	1.14
+++ slic.sh.in	11 Jan 2010 20:33:10 -0000	1.15
@@ -51,19 +51,27 @@
 export G4RADIOACTIVEDATA=$(ls -d $GEANT4_DATA_ROOT/RadioactiveDecay*)
 export G4LEDATA=$(ls -d $GEANT4_DATA_ROOT/G4EMLOW*)
 export G4NEUTRONHPDATA=$(ls -d $GEANT4_DATA_ROOT/G4NDL*)
-
 echo G4LEVELGAMMADATA=$G4LEVELGAMMADATA
 echo G4RADIOACTIVEDATA=$G4RADIOACTIVEDATA
 echo G4LEDATA=$G4LEDATA
 echo G4NEUTRONHPDATA=$G4NEUTRONHPDATA
 
+# local GDML schemas
 GDML_SCHEMA_DIR=${SIM_HOME}/packages/lcdd/${LCDD_VERSION}
-
 echo "GDML_SCHEMA_DIR=${GDML_SCHEMA_DIR}"
 
-PARTICLE_TBL=${SIM_HOME}/packages/slic/@[log in to unmask]
-
+# Set location of particle table.  
+# Allow external variable if a modified version is needed.
+if [ -z "$PARTICLE_TBL" ]
+then
+    PARTICLE_TBL=${SIM_HOME}/packages/slic/@[log in to unmask]
+    if [ ! -e "$PARTICLE_TBL" ]
+    then
+        echo "The file $PARTICLE_TBL does not exist!"
+        exit 1
+    fi
+fi
 echo "PARTICLE_TBL=${PARTICLE_TBL}"
 
-# Run slic with command line arguments.  Automatically loads extended particle set.
-${SLIC_BASE}/bin/@G4SYSTEM@/${slicbin} -P ${PARTICLE_TBL} $@
\ No newline at end of file
+# Run slic with command line arguments.  Automatically loads particle table.
+${SLIC_BASE}/bin/@G4SYSTEM@/${slicbin} -P ${PARTICLE_TBL} $@
CVSspam 0.2.8